org.codehaus.plexus.component.discovery

## Class PlexusXmlComponentDiscoverer

- java.lang.Object
- - org.codehaus.plexus.component.discovery.PlexusXmlComponentDiscoverer

All Implemented Interfaces:
  ComponentDiscoverer

    public class PlexusXmlComponentDiscoverer
    extends Object
    implements ComponentDiscoverer

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.discovery.ComponentDiscoverer

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PlexusXmlComponentDiscoverer()`

### Method Summary

Methods
`PlexusConfiguration` `discoverConfiguration(Context context, ClassRealm classRealm)`
`List` `findComponents(Context context, ClassRealm classRealm)`
`void` `setManager(ComponentDiscovererManager manager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusXmlComponentDiscoverer

    public PlexusXmlComponentDiscoverer()

### Method Detail

#### setManager

    public void setManager(ComponentDiscovererManager manager)

Specified by:
  `setManager` in interface `ComponentDiscoverer`

#### findComponents

    public List findComponents(Context context,
                      ClassRealm classRealm)
                        throws PlexusConfigurationException

Specified by:
  `findComponents` in interface `ComponentDiscoverer`
Throws:
  `PlexusConfigurationException`

#### discoverConfiguration

    public PlexusConfiguration discoverConfiguration(Context context,
                                            ClassRealm classRealm)
                                              throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`